# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignOrganizationItem Class Reference

`#include <StepAP214_AutoDesignOrganizationItem.hxx>`

Inheritance diagram for StepAP214_AutoDesignOrganizationItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_AutoDesignOrganizationItem ()
virtual Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const

Recognizes a AutoDesignGeneralOrgItem Kind Entity that is :
1 Product from StepBasic,
2 ProductDefinition from StepBasic,
3 ProductDefinitionFormation from StepBasic,
4 ProductDefinitionRelationship from StepBasic,
5 ProductDefinitionWithAssociatedDocuments from StepBasic,
6 Representation from StepRepr
7 ExternallyDefinedRepresentation from StepRepr,
8 AutoDesignDocumentReference from StepAP214,
0 else
.

Standard_EXPORT Handle_StepBasic_Document | Document () const
Standard_EXPORT Handle_StepBasic_PhysicallyModeledProductDefinition | PhysicallyModeledProductDefinition () const

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignOrganizationItem::StepAP214_AutoDesignOrganizationItem | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer StepAP214_AutoDesignOrganizationItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Reimplemented from StepAP214_AutoDesignGeneralOrgItem.

Standard_EXPORT Handle_StepBasic_Document StepAP214_AutoDesignOrganizationItem::Document | ( |  | ) | const

void StepAP214_AutoDesignOrganizationItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepAP214_AutoDesignGeneralOrgItem.

void* StepAP214_AutoDesignOrganizationItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepAP214_AutoDesignGeneralOrgItem.

void* StepAP214_AutoDesignOrganizationItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepAP214_AutoDesignGeneralOrgItem.

Standard_EXPORT Handle_StepBasic_PhysicallyModeledProductDefinition StepAP214_AutoDesignOrganizationItem::PhysicallyModeledProductDefinition | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignOrganizationItem.hxx